%global libmajor 3


Summary:       C++ X Windows Library
Name:          clxclient
Version:       3.6.1
Release:       9%{?dist}
License:       LGPLv2+
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# patch emailed upstream
Patch0:        clxclient-3.6.1-fsf-address.patch

BuildRequires: clthreads-devel
BuildRequires: libXft-devel 
BuildRequires: libX11-devel

%description 
C++ X Windows library

%package -n clxclient-devel
Summary:       C++ X Windows Library Development Files
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description -n clxclient-devel
Header files required for the development of applications using the clxclient 
C++ X Windows library.

%prep
%setup -q
%patch0 -p1

# Force Fedora's flags and correct linkage
sed -e 's|-O2|%{optflags}|' \
    -e 's|/sbin/ldconfig|# /sbin/ldconfig|' \
    -e 's|`freetype-config --libs`||' \
    -e 's! -shared ! -Wl,--as-needed\0!g' \
    -e 's|-lpthread -lXft -lX11|-lclthreads -lXft -lX11|' \
    -i Makefile

%build
make %{?_smp_mflags} PREFIX=%{_prefix} LIBDIR=%{_lib} 

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}

make install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib}
ln -s libclxclient.so.%{version} %{buildroot}%{_libdir}/libclxclient.so.%{libmajor}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING
%{_libdir}/lib%{name}*.so.*

%files devel
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}.h

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 3.6.1-5
- Reinstated BuildArch and macro

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 3.6.1-4
- Bumped release number so as not to conflict with same package in CCRMA

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 3.6.1-3
- Corrected license
- Remove unnecessary linkage
- Remove buildroot tag
- Add BuildArch:noarch and removed isa macro from the -devel package

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 3.6.1-2
- remove unecessary file permissions and buildroot removal

* Tue Oct 18 2011 Brendan Jones <brendan.jones.it@gmail.com> 3.6.1-1
- initial build, based on package from CCRMA
